Subject: bug#31578: 24.3; vc-ignore-root-dir resets locate-dominating-stop-dir-regexp

From: Andy Moreton <[email-masked]>
Date: Sat, 13 Jul 2019 17:31:02 +0100

On Sat 13 Jul 2019, Lars Ingebrigtsen wrote:

> u0138544 <[email-masked]> writes:
>
>> I could not successfully override locate-domination-stop-dir-regexp via .emacs because
>> vc-find-root restores the default value.
>>
>> STR:
>> override locate-dominating-stop-dir-regexp in .emacs with:
>>          (setq locate-dominating-stop-dir-regexp "\\`\\(?:/uufs/chpc.utah.edu/common/home/
>> [^\\/]+/\\|~/\\)\\'")
>
> I couldn't find the string "locate-dominating-stop-dir-regexp" anywhere
> in the current Emacs sources, so I'm guessing this is no longer an issue
> and is closing the bug report.  Please reopen if this is a mistake.

`locate-dominating-stop-dir-regexp' is defined in files.el, so not so
hard to find.

Perhaps the reporter nees to sue `setq-default' rather than `setq'.

    AndyM